// Preferences observer object; implements nsIObserver
function objDwPrefObserver()
{
	///////////// Private variables /////////////
	try {
		var prefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
		var pref = prefService.getBranch(null); // preferences root node
		var pbi = pref.QueryInterface(Components.interfaces.nsIPrefBranchInternal);
		pbi.addObserver(this.domain, this, false);
	} catch(ex) {
		dump("objPrefObserver: Failed to observe prefs: " + ex + "\n");
	}
}
objDwPrefObserver.prototype =
{
	///////////// Public variables /////////////
	domain:  "downloadwith.",
	
	///////////// Public Methods /////////////
	observe: function(subject, topic, prefName)
	{
		// when pref was changed, we reinitialize 
		try{
 			dwPreference.reset();
		} catch(err){
			dwPrefService.init();
			dwPreference.reset();
		}
	}
}