// Store a copy Downloadwith Preference
function objDwPreference () {
	///////////// Private variables /////////////
	application = new Array();

	///////////// Public constants /////////////
	this.IDENT = 0;
	this.LABEL = 1;
	this.COMMAND = 2;
	this.ARGS = 3;

	///////////// Private Methods /////////////
	function addApplication(identification,label,command,arguments) {
		application.push([identification,label,command,arguments]);
	}
	

	///////////// Public Methods /////////////
	this.getFirstApplication = function (){
		currentApplication = 0;
		return this.getNextApplication();
	}
	
	this.getNextApplication = function (){
		retval = null;
		if ( currentApplication < application.length) {
			retval = application[currentApplication];
			currentApplication = currentApplication + 1;
		}
		return retval;
	}
	
	this.getApplication = function (identification) {
		for (var i = 0; i < application.length; i++) {
			if (application[i][this.IDENT]==identification) return application[i];
    	}
    	return null;
	}

	this.reset = function () {
		application = new Array();
		var identification = dwPrefService.getIdentificationArray();
		for (var i = 0; i < identification.length; i++) {
			if (identification[i] != null && identification[i] != "" ) 
				addApplication(identification[i],
					dwPrefService.getApplicationLabel(identification[i]),
					dwPrefService.getApplicationCommand(identification[i]),
					dwPrefService.getApplicationArguments(identification[i]));
		}
	}
}